import React from 'react';
import { Link } from 'react-router-dom';
import { Row } from 'react-bootstrap';
import Sidebar from './SideBar';

const OrganizationSidebar = () => {
    return (
        <Sidebar>
            <h5>Organisation</h5>
            <Row>
                <Link to="/budget" className="link-text-underline">
                    <span>Budget of NRENs per Year</span>
                </Link>
            </Row>

            <Row>
                <Link to="/funding" className="link-text-underline">
                    <span>Income Source of NRENs per Year</span>
                </Link>
            </Row>

            <Row>
                <Link to="/charging" className="link-text-underline">
                    <span>Charging Mechanism of NRENs per Year</span>
                </Link>
            </Row>

            <Row>
                <Link to="/data/roles" className="link-text-underline">
                    <span>Roles of NREN employees</span>
                </Link>
            </Row>
            <Row>
                <Link to="/data/employment" className="link-text-underline">
                    <span>Types of employment for NRENs</span>
                </Link>
            </Row>
            <Row>
                <Link to="/suborganisations" className="link-text-underline">
                    <span>NREN Suborganisations</span>
                </Link>
            </Row>
            <Row>
                <Link to="/parentorganisation" className="link-text-underline">
                    <span>NREN Parent Organisations</span>
                </Link>
            </Row>
            <Row>
                <Link to="/ec-projects" className="link-text-underline">
                    <span>NREN Involvement in European Commission Projects</span>
                </Link>
            </Row>
        </Sidebar>
    )
}

export default OrganizationSidebar