import React from 'react';
import { Link } from 'react-router-dom';
import { Container, Row, ButtonToolbar, Button } from 'react-bootstrap';
import { Sections } from '../helpers/constants';

interface inputProps {
    activeCategory: Sections
}

const SectionNavigation = ({ activeCategory }: inputProps) => {
    return (
        <Container>
            <Row>
                <ButtonToolbar className="navbox-bar gap-2 m-3">
                    <Link to={activeCategory === Sections.Organisation ? '.' : '/funding'}>
                        <Button
                            variant={'nav-box'}
                            active={activeCategory === Sections.Organisation}>
                            <span>{Sections.Organisation}</span>
                        </Button>
                    </Link>
                    <Link to={activeCategory === Sections.Policy ? '.' : '/policy'}>
                        <Button
                            variant={'nav-box'}
                            active={activeCategory === Sections.Policy}>
                            <span>{Sections.Policy}</span>
                        </Button>
                    </Link>
                    <Link to={activeCategory === Sections.ConnectedUsers ? '.' : '.'}>
                        <Button
                            variant={'nav-box'}
                            active={activeCategory === Sections.ConnectedUsers}
                            disabled={true}>
                            <span>{Sections.ConnectedUsers}</span>
                        </Button>
                    </Link>
                    <Link to={activeCategory === Sections.Network ? '.' : '.'}>
                        <Button
                            variant={'nav-box'}
                            active={activeCategory === Sections.Network}
                            disabled={true}>
                            <span>{Sections.Network}</span>
                        </Button>
                    </Link>
                    <Link to={activeCategory === Sections.Services ? '.' : '.'}>
                        <Button
                            variant={'nav-box'}
                            active={activeCategory === Sections.Services}
                            disabled={true}>
                            <span>{Sections.Services}</span>
                        </Button>
                    </Link>
                </ButtonToolbar>
            </Row>
        </Container>

    )
}

export default SectionNavigation